<template>
    <q-page class="bg-base">
        <Container :max-height="1" class="full-width column items-center justify-center q-gutter-y-lg">
            <q-card v-ripple class="my-card q-pa-lg">
                <q-card-section>
                    <div class="row justify-center">
                        <q-icon color="primary" size="100px" name="icofont-chart-pie"/>

                    </div>
                    <div class="text-h6 text-center">
                        Chart Widget
                    </div>
                </q-card-section>
                <q-separator/>
                <q-card-actions align="center">
                    <q-btn label="select" flat color="primary" to="/widget/type/chart"/>
                </q-card-actions>
            </q-card>
            <q-card v-ripple class="my-card q-pa-lg">
                <q-card-section>
                    <div class="row justify-center">
                        <q-icon color="primary" size="100px" name="text_fields"/>

                    </div>
                    <div class="text-h6 text-center">
                        Text Widget
                    </div>
                </q-card-section>
                <q-separator/>
                <q-card-actions align="center">
                    <q-btn label="select" flat color="primary" to="/widget/type/text"/>
                </q-card-actions>
            </q-card>
        </Container>
    </q-page>
</template>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';
import ListPage from "components/Core/ListPage.vue";
import Container from "components/Core/Container.vue";

@Component({
    components: {Container, ListPage}
})
export default class WidgetType extends Vue {
}
</script>

<style lang='scss' scoped>
.my-card {
    width: 100%;
    max-width: 500px;
}
</style>
